Exists a version with dependency from jakarta faces 3.0?

Post Reply
nestor.ruz
Posts: 1
Joined: 29 Jul 2019, 18:12
Contact:

05 Jul 2021, 02:56

I am error
jar:file:.../sapphire-theme-2.0.2.jar!/META-INF/faces-config.xml
Cause: Class 'org.primefaces.sapphire.component.SapphireMenuRenderer' is missing a runtime dependency: java.lang.NoClassDefFoundError: javax/faces/component/UIComponent

Dependencies:

<dependency>
<groupId>org.glassfish</groupId>
<artifactId>jakarta.faces</artifactId>
<version>3.0.1</version>
</dependency>
<dependency>
<groupId>org.primefaces</groupId>
<artifactId>primefaces</artifactId>
<version>10.0.4</version>
<classifier>jakarta</classifier>
</dependency>

thanks

siris
Posts: 246
Joined: 29 Jul 2019, 13:57

05 Jul 2021, 10:18

Hi,

JakartaFaces is not yet supported in our templates. We will try to bring support in future updates.

Best Regards,

Post Reply

Return to “Sapphire - PrimeFaces”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest